﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SinkingTowerDirectX
{
    class Button : Sprite
    {
        public int cost;
        public float weight;
        public string name;
        public Rectangle hitBox;
        public bool isHighlighted;

        public Button(Texture2D texture,Vector2 location, string name, int cost, int weight)
        {
            this.texture = texture;
            this.location = location;
            this.dead = false;
            this.cost = cost;
            this.weight = weight;
            this.name = name;
            this.hitBox = new Rectangle(Convert.ToInt32(location.X - 5), Convert.ToInt32(location.Y - 20), 50, 70);
            this.isHighlighted = false;
        }

        public void Draw(SpriteBatch spriteBatch, SpriteFont font, int money)
        {
            Color textColor = Color.Black;
            if (this.cost<=money)
            {
                if (isHighlighted)
                {
                    spriteBatch.Draw(texture, location, Color.CornflowerBlue *0.9f);
                    textColor = Color.Azure;
                }
                else
                {
                    spriteBatch.Draw(texture, location, Color.White);
                }
                
            }
            else 
            {
                spriteBatch.Draw(texture, location, Color.White*0.5f);
            }
            
            spriteBatch.DrawString(font, name, this.location + new Vector2(24-(this.name.Length * 12 / 2), -24), textColor);
            spriteBatch.DrawString(font, String.Format("$$$:{0}", cost), this.location + new Vector2(0, 40), textColor);
            spriteBatch.DrawString(font, String.Format("Lbs:{0}", weight), this.location + new Vector2(0, 65), textColor);
        }
    }
}
