﻿using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace SinkingTowerDirectX
{
    class Spawner
    {
        float interval;
        float elapsedTime;
        Texture2D texture;
        float startAt;
        string type;
        Random random;

        public Spawner(float interval, float startAt, string type, Texture2D texture)
        {
            this.startAt = startAt;
            this.elapsedTime = 0f;
            this.interval = interval;
            this.texture = texture;
            this.type = type;
            this.random = new Random();
        }

        public List<Enemy> Update(GameTime gameTime)
        {
            var enemies = new List<Enemy>();
            this.elapsedTime += gameTime.ElapsedGameTime.Milliseconds/ 1000f;
            if (elapsedTime>interval)
            {
                elapsedTime -= interval;
                if (gameTime.TotalGameTime.Seconds>=startAt)
                { 
                    switch (this.type)
                    {
                        case ("tank"):
                            enemies.Add(new Enemy(texture, new Vector2(0, 360)));
                            break;
                        case ("ufo"):
                            enemies.Add(new Enemy(texture, new Vector2(0, random.Next(10,310))));
                            break;
                        default:
                            enemies.Add(new Enemy(texture, new Vector2(0, 360)));
                            break;

                    }

                    
                }
            }
            return enemies;
        }
    }
}
